# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

CRATES="
ansi_term-0.11.0
atty-0.2.2
bitflags-0.9.1
bitflags-1.0.4
cfg-if-0.1.7
clap-2.33.0
ctrlc-3.1.0
hexyl-0.5.0
kernel32-sys-0.2.2
libc-0.2.43
nix-0.9.0
strsim-0.8.0
term_size-0.3.1
textwrap-0.11.0
unicode-width-0.1.5
vec_map-0.8.1
void-1.0.2
winapi-0.2.8
winapi-0.3.5
winapi-build-0.1.1
winapi-i686-pc-windows-gnu-0.4.0
winapi-x86_64-pc-windows-gnu-0.4.0
"

inherit cargo bash-completion-r1

DESCRIPTION="A command-line hex viewer"
HOMEPAGE="https://github.com/sharkdp/hexyl"
SRC_URI="$(cargo_crate_uris ${CRATES})"

LICENSE="|| ( MIT Unlicense )"
SLOT="0"
KEYWORDS="amd64 ~arm64 ~ppc64 ~x86"
IUSE="+man"

RDEPEND=""
DEPEND="${RDEPEND}
	virtual/pkgconfig
	>=virtual/rust-1.20
	man? ( app-text/asciidoc )"

QA_FLAGS_IGNORED="usr/bin/hexyl"

src_install() {
	cargo_src_install --path=.
}
